GNU bug report logs - #13028
inplace: new program

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Severity: wishlist; Reported by: Reuben Thomas <rrt@HIDDEN>; dated Thu, 29 Nov 2012 15:24:01 UTC; Maintainer for coreutils is bug-coreutils@HIDDEN.
Changed bug title to 'inplace: new program' from 'inplace' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 13028 <at> debbugs.gnu.org:


Received: (at 13028) by debbugs.gnu.org; 16 May 2016 14:42:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 16 10:42:25 2016
Received: from localhost ([127.0.0.1]:53860 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b2Jiz-0006NR-Hg
	for submit <at> debbugs.gnu.org; Mon, 16 May 2016 10:42:25 -0400
Received: from mail.magicbluesmoke.com ([82.195.144.49]:53035)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <P@HIDDEN>) id 1b2Jix-0006NI-1G
 for 13028 <at> debbugs.gnu.org; Mon, 16 May 2016 10:42:24 -0400
Received: from [192.168.1.80] (unknown [109.79.122.175])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by mail.magicbluesmoke.com (Postfix) with ESMTPSA id 95DECAD;
 Mon, 16 May 2016 15:42:21 +0100 (IST)
Subject: Re: bug#13028: inplace
To: Reuben Thomas <rrt@HIDDEN>
References: <CAOnWdog-3wBokdqgZZDaXs=wp8cvn3asTpp3NFmtokohAQ-WJw@HIDDEN>
 <50B780AD.6080704@HIDDEN>
 <CAOnWdojwq2-OsujxZvuSpb1fc2_b3Z4-A57XTQ0Sg37scBiHhw@HIDDEN>
 <50B7B486.60401@HIDDEN>
 <CAOnWdohUcWyc3fUTK83K=jjQPdQjgBZtTz7L=_odSv6NbQkuyA@HIDDEN>
 <5739CE2C.60500@HIDDEN>
 <CAOnWdojAtw3872xT59seGeO4ZaWF9o-kqkWufEW7fZJ22jFXRg@HIDDEN>
From: =?UTF-8?Q?P=c3=a1draig_Brady?= <P@HIDDEN>
Message-ID: <5739DC4C.5030309@HIDDEN>
Date: Mon, 16 May 2016 15:42:20 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.3.0
MIME-Version: 1.0
In-Reply-To: <CAOnWdojAtw3872xT59seGeO4ZaWF9o-kqkWufEW7fZJ22jFXRg@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 13028
Cc: 13028 <at> debbugs.gnu.org, "David A. Wheeler" <dwheeler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

On 16/05/16 14:47, Reuben Thomas wrote:
> On 16 May 2016 at 14:42, Pádraig Brady <P@HIDDEN> wrote:
>
>> On 16/05/16 14:15, Reuben Thomas wrote:
>>
>>>
>>> ​Did this get anywhere?
>>>
>>
>> Nothing public unfortunately.
>
>
> ​Are there difficulties one might be able to help with?

I just don't have the time at present to complete this.

I did implement ACID file replacement using POSIX APIs a while ago in:
https://github.com/pixelb/crudini
The commit messages there have details on fsync()ing requirements etc.

Implementation in C in coreutils could also use other APIs where available
like renameat2(..., RENAME_EXCHANGE) and exchangedata() etc.
I noticed XFS_IOC_SWAPEXT but that's currently hardcoded
to support only same sized replacements (for defragment apps).
I was thinking of providing a wrapper for exchangedata() in gnulib,
which could be leveraged where available or falling back to
the current POSIX APIs.

thanks,
Pádraig




Information forwarded to bug-coreutils@HIDDEN:
bug#13028; Package coreutils. Full text available.

Message received at 13028 <at> debbugs.gnu.org:


Received: (at 13028) by debbugs.gnu.org; 16 May 2016 13:47:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 16 09:47:32 2016
Received: from localhost ([127.0.0.1]:53404 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b2Irr-0004qk-Un
	for submit <at> debbugs.gnu.org; Mon, 16 May 2016 09:47:32 -0400
Received: from mail-qk0-f180.google.com ([209.85.220.180]:36216)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rrt@HIDDEN>) id 1b2Irp-0004qW-6X
 for 13028 <at> debbugs.gnu.org; Mon, 16 May 2016 09:47:29 -0400
Received: by mail-qk0-f180.google.com with SMTP id x7so96450925qkd.3
 for <13028 <at> debbugs.gnu.org>; Mon, 16 May 2016 06:47:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=sc3d.org; s=google;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc; bh=755GhzSt9BtQ4VS1pJ3zSaBBjpjVZlDA8rI5sdwuxfo=;
 b=SiMUdoUXVEXHHK+yMKypPfYrGSkc1a8B9hcT19mjne3S/LnH/+n/lSovfJdZL+mA/H
 G5DRMegk8vEfZ9pyLXN8kZNGuv8NEyHM2yGb22k/BVwZseg+56EkYkG7iDlNF7/I4Y8w
 mDuNIORm1nSCasFGF4jo0AplxC+HA4lM9R584=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc;
 bh=755GhzSt9BtQ4VS1pJ3zSaBBjpjVZlDA8rI5sdwuxfo=;
 b=ly6TEojxmZLfbOe3me+yCmWVcydEgF85qrVIbqU1ccMPSW35qL3IETg4n+vBMnB4gg
 pDlvVOjR7O3fUCid0u3UGeylaCmMHfs8Wfc4KAn7NNFIM5vbdjQTCXNK2wbzfKD22ZO8
 4SbSdvoFjw/6WDJ5keurP8EJF2nxkCDUCD93p+XHhAkr4x7ISpVIEzFiQinSe9cEAFQG
 xZ+BMHrB7mT9F44Efi66GSzayHyA8JSav2ZTROKNbBR7e34k2kMRwegs1pDnX/bXKBu1
 NYF0/QGid4cIlXoQHmqOP3FxEkDSPNgHI1NPKvBs5k+wQPUWGt5+Z57KeXWvM2I1B2cH
 IJhw==
X-Gm-Message-State: AOPr4FUlZBCFbqF3ZfuUr6O1c9LMy4mOg20PmWYvwWJJ0I9LO6LHY7xOjcbO1w7Beeu5/22dbmBf35mHiivILlV2
MIME-Version: 1.0
X-Received: by 10.55.180.133 with SMTP id d127mr30728762qkf.131.1463406443673; 
 Mon, 16 May 2016 06:47:23 -0700 (PDT)
Received: by 10.55.86.70 with HTTP; Mon, 16 May 2016 06:47:23 -0700 (PDT)
In-Reply-To: <5739CE2C.60500@HIDDEN>
References: <CAOnWdog-3wBokdqgZZDaXs=wp8cvn3asTpp3NFmtokohAQ-WJw@HIDDEN>
 <50B780AD.6080704@HIDDEN>
 <CAOnWdojwq2-OsujxZvuSpb1fc2_b3Z4-A57XTQ0Sg37scBiHhw@HIDDEN>
 <50B7B486.60401@HIDDEN>
 <CAOnWdohUcWyc3fUTK83K=jjQPdQjgBZtTz7L=_odSv6NbQkuyA@HIDDEN>
 <5739CE2C.60500@HIDDEN>
Date: Mon, 16 May 2016 14:47:23 +0100
Message-ID: <CAOnWdojAtw3872xT59seGeO4ZaWF9o-kqkWufEW7fZJ22jFXRg@HIDDEN>
Subject: Re: bug#13028: inplace
From: Reuben Thomas <rrt@HIDDEN>
To: =?UTF-8?Q?P=C3=A1draig_Brady?= <P@HIDDEN>
Content-Type: multipart/alternative; boundary=94eb2c06fad63cff3e0532f5dde7
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 13028
Cc: 13028 <at> debbugs.gnu.org, "David A. Wheeler" <dwheeler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--94eb2c06fad63cff3e0532f5dde7
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

On 16 May 2016 at 14:42, P=C3=A1draig Brady <P@HIDDEN> wrote:

> On 16/05/16 14:15, Reuben Thomas wrote:
>
>>
>> =E2=80=8BDid this get anywhere?
>>
>
> Nothing public unfortunately.


=E2=80=8BAre there difficulties one might be able to help with?

--=20
http://rrt.sc3d.org

--94eb2c06fad63cff3e0532f5dde7
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-size:small">On =
16 May 2016 at 14:42, P=C3=A1draig Brady <span dir=3D"ltr">&lt;<a href=3D"m=
ailto:P@HIDDEN" target=3D"_blank">P@HIDDEN</a>&gt;</span> w=
rote:<br></div><div class=3D"gmail_extra"><div class=3D"gmail_quote"><block=
quote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc=
 solid;padding-left:1ex"><span class=3D"">On 16/05/16 14:15, Reuben Thomas =
wrote:<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex"><br>
=E2=80=8BDid this get anywhere?<br>
</blockquote>
<br></span>
Nothing public unfortunately.</blockquote><div><br></div><div><div class=3D=
"gmail_default" style=3D"font-size:small;display:inline">=E2=80=8BAre there=
 difficulties one might be able to help with?</div></div></div><div><br></d=
iv>-- <br><div class=3D"gmail_signature"><a href=3D"http://rrt.sc3d.org" ta=
rget=3D"_blank">http://rrt.sc3d.org</a></div>
</div></div>

--94eb2c06fad63cff3e0532f5dde7--




Information forwarded to bug-coreutils@HIDDEN:
bug#13028; Package coreutils. Full text available.

Message received at 13028 <at> debbugs.gnu.org:


Received: (at 13028) by debbugs.gnu.org; 16 May 2016 13:42:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 16 09:42:17 2016
Received: from localhost ([127.0.0.1]:53400 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b2Imn-0004it-Ax
	for submit <at> debbugs.gnu.org; Mon, 16 May 2016 09:42:17 -0400
Received: from mail.magicbluesmoke.com ([82.195.144.49]:52889)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <P@HIDDEN>) id 1b2Imk-0004ik-PI
 for 13028 <at> debbugs.gnu.org; Mon, 16 May 2016 09:42:15 -0400
Received: from [192.168.1.80] (unknown [109.79.122.175])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by mail.magicbluesmoke.com (Postfix) with ESMTPSA id 2B0CFAD;
 Mon, 16 May 2016 14:42:13 +0100 (IST)
Subject: Re: bug#13028: inplace
To: Reuben Thomas <rrt@HIDDEN>
References: <CAOnWdog-3wBokdqgZZDaXs=wp8cvn3asTpp3NFmtokohAQ-WJw@HIDDEN>
 <50B780AD.6080704@HIDDEN>
 <CAOnWdojwq2-OsujxZvuSpb1fc2_b3Z4-A57XTQ0Sg37scBiHhw@HIDDEN>
 <50B7B486.60401@HIDDEN>
 <CAOnWdohUcWyc3fUTK83K=jjQPdQjgBZtTz7L=_odSv6NbQkuyA@HIDDEN>
From: =?UTF-8?Q?P=c3=a1draig_Brady?= <P@HIDDEN>
Message-ID: <5739CE2C.60500@HIDDEN>
Date: Mon, 16 May 2016 14:42:04 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.3.0
MIME-Version: 1.0
In-Reply-To: <CAOnWdohUcWyc3fUTK83K=jjQPdQjgBZtTz7L=_odSv6NbQkuyA@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 13028
Cc: 13028 <at> debbugs.gnu.org, "David A. Wheeler" <dwheeler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

On 16/05/16 14:15, Reuben Thomas wrote:
> On 29 November 2012 at 19:16, Pádraig Brady <P@HIDDEN> wrote:
>
>> On 11/29/2012 07:03 PM, Reuben Thomas wrote:
>>
>>> On 29 November 2012 15:35, Pádraig Brady <P@HIDDEN> wrote:
>>>
>>>
>>>> I definitely think this is worthwhile.
>>>>
>>>>
>>> Great!
>>>
>>>
>>> Where to put such a script is an issue.
>>>> We were thinking of a contrib/ folder for higher level
>>>> scripts like this that could leverage coreutils/
>>>> Translations in the shell script was one thing that was
>>>> I was wondering about, which I need to look at.
>>>>
>>>>
>>> Is there a reason it can't be shipped so it'll install as part of
>>> coreutils?
>>>
>>
>> Well contrib/ in upstream to be installed in standard locations.
>>
>> rewrite is my favorite name so far.
>>>>
>>>>
>>> It sounds better, but I'd favour "inplace" as it's the term used by most
>>> utilities, like Perl and sed, that already provide such a built-in
>>> facility, and is hence more easily discovered.
>>>
>>
>> Previous notes on naming:
>> http://lists.gnu.org/archive/html/bug-coreutils/2010-03/msg00238.html
>>
>> "rewrite" is more descriptive as a verb as to what is actually happening.
>> We can finalize on the naming anyway when we have the implementation
>> sorted.
>>
>
> ​Did this get anywhere?

Nothing public unfortunately.

Pádraig




Information forwarded to bug-coreutils@HIDDEN:
bug#13028; Package coreutils. Full text available.

Message received at 13028 <at> debbugs.gnu.org:


Received: (at 13028) by debbugs.gnu.org; 16 May 2016 13:15:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 16 09:15:19 2016
Received: from localhost ([127.0.0.1]:53379 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b2IMg-00045d-Qv
	for submit <at> debbugs.gnu.org; Mon, 16 May 2016 09:15:19 -0400
Received: from mail-qk0-f178.google.com ([209.85.220.178]:33187)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rrt@HIDDEN>) id 1b2IMd-00045O-OK
 for 13028 <at> debbugs.gnu.org; Mon, 16 May 2016 09:15:17 -0400
Received: by mail-qk0-f178.google.com with SMTP id n63so95870285qkf.0
 for <13028 <at> debbugs.gnu.org>; Mon, 16 May 2016 06:15:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=sc3d.org; s=google;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc; bh=GTL+r+yytCKwNyTbKkMmBo90YWqhgKoyRy2cS/2cs0g=;
 b=i1N9nmzyyp2vPppGmUioFUo3+364ITol7Mrxt7oUrVHn/Yxu4TdgFkmiJND+zcXCcS
 QjIFS2tHBm2StcuBjQBew1j9QdyT1+t8mJdrYcaumbXJOe4MOyM/3DD7zsag5y/hrVcG
 Zs35Wztb7TpOYG3b2qR8G5AnissUEQ3sC4jqs=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc;
 bh=GTL+r+yytCKwNyTbKkMmBo90YWqhgKoyRy2cS/2cs0g=;
 b=Zyxx2PAj1OGJIAGEVwnipIiK1y8/pD14Mg48TRYXyGAYgwbxEBF86Kav9kaoDoMIAa
 fQPzas+7f4Laxgw4iiankaoJbZ77PqNGLAsoc9xNosRd3d/8hEYwDP6BmcOC5g55MGn/
 2yLwzurvtou6rkxoR/K1FvbAEQAdyPC3HbMX5DaGsFRR1SeTLJnHjuzo9e9//A85zxfi
 zeNyHPc/gTkyocycW4LNh5tQgCXFiUPR9oXdi3TOiVBqniFR4Py6TeEgIbPNGfvBhenq
 mkU8H+Hqh4xy5+oJr7KpvdmacJTpFapWcLfq7wjHaqGssVnpHPnKOHFshPcCbwH/JYOL
 qQLg==
X-Gm-Message-State: AOPr4FV5/zKfHeCvu4h+ryVANdHg0dh/wdDpWB/J1BHfeWLYZBl30WbjvpzAKt+Dw6EJ6gsFjtVxJNfOvdgN6Fx1
MIME-Version: 1.0
X-Received: by 10.55.186.132 with SMTP id k126mr29991867qkf.176.1463404510158; 
 Mon, 16 May 2016 06:15:10 -0700 (PDT)
Received: by 10.55.86.70 with HTTP; Mon, 16 May 2016 06:15:10 -0700 (PDT)
In-Reply-To: <50B7B486.60401@HIDDEN>
References: <CAOnWdog-3wBokdqgZZDaXs=wp8cvn3asTpp3NFmtokohAQ-WJw@HIDDEN>
 <50B780AD.6080704@HIDDEN>
 <CAOnWdojwq2-OsujxZvuSpb1fc2_b3Z4-A57XTQ0Sg37scBiHhw@HIDDEN>
 <50B7B486.60401@HIDDEN>
Date: Mon, 16 May 2016 14:15:10 +0100
Message-ID: <CAOnWdohUcWyc3fUTK83K=jjQPdQjgBZtTz7L=_odSv6NbQkuyA@HIDDEN>
Subject: Re: bug#13028: inplace
From: Reuben Thomas <rrt@HIDDEN>
To: =?UTF-8?Q?P=C3=A1draig_Brady?= <P@HIDDEN>
Content-Type: multipart/alternative; boundary=94eb2c043626fdcace0532f569d2
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 13028
Cc: 13028 <at> debbugs.gnu.org, "David A. Wheeler" <dwheeler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--94eb2c043626fdcace0532f569d2
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

On 29 November 2012 at 19:16, P=C3=A1draig Brady <P@HIDDEN> wrote:

> On 11/29/2012 07:03 PM, Reuben Thomas wrote:
>
>> On 29 November 2012 15:35, P=C3=A1draig Brady <P@HIDDEN> wrote:
>>
>>
>>> I definitely think this is worthwhile.
>>>
>>>
>> Great!
>>
>>
>> Where to put such a script is an issue.
>>> We were thinking of a contrib/ folder for higher level
>>> scripts like this that could leverage coreutils/
>>> Translations in the shell script was one thing that was
>>> I was wondering about, which I need to look at.
>>>
>>>
>> Is there a reason it can't be shipped so it'll install as part of
>> coreutils?
>>
>
> Well contrib/ in upstream to be installed in standard locations.
>
> rewrite is my favorite name so far.
>>>
>>>
>> It sounds better, but I'd favour "inplace" as it's the term used by most
>> utilities, like Perl and sed, that already provide such a built-in
>> facility, and is hence more easily discovered.
>>
>
> Previous notes on naming:
> http://lists.gnu.org/archive/html/bug-coreutils/2010-03/msg00238.html
>
> "rewrite" is more descriptive as a verb as to what is actually happening.
> We can finalize on the naming anyway when we have the implementation
> sorted.
>

=E2=80=8BDid this get anywhere?

--=20
http://rrt.sc3d.org

--94eb2c043626fdcace0532f569d2
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-size:small">On =
29 November 2012 at 19:16, P=C3=A1draig Brady <span dir=3D"ltr">&lt;<a href=
=3D"mailto:P@HIDDEN" target=3D"_blank">P@HIDDEN</a>&gt;</sp=
an> wrote:<br></div><div class=3D"gmail_extra"><div class=3D"gmail_quote"><=
blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px=
 #ccc solid;padding-left:1ex"><span class=3D"">On 11/29/2012 07:03 PM, Reub=
en Thomas wrote:<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex">
On 29 November 2012 15:35, P=C3=A1draig Brady &lt;<a href=3D"mailto:P@draig=
brady.com" target=3D"_blank">P@HIDDEN</a>&gt; wrote:<br>
<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex">
<br>
I definitely think this is worthwhile.<br>
<br>
</blockquote>
<br>
Great!<br>
<br>
<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex">
Where to put such a script is an issue.<br>
We were thinking of a contrib/ folder for higher level<br>
scripts like this that could leverage coreutils/<br>
Translations in the shell script was one thing that was<br>
I was wondering about, which I need to look at.<br>
<br>
</blockquote>
<br>
Is there a reason it can&#39;t be shipped so it&#39;ll install as part of c=
oreutils?<br>
</blockquote>
<br></span>
Well contrib/ in upstream to be installed in standard locations.<span class=
=3D""><br>
<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex"><blockquote class=3D"gmail_quote" style=3D"m=
argin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
rewrite is my favorite name so far.<br>
<br>
</blockquote>
<br>
It sounds better, but I&#39;d favour &quot;inplace&quot; as it&#39;s the te=
rm used by most<br>
utilities, like Perl and sed, that already provide such a built-in<br>
facility, and is hence more easily discovered.<br>
</blockquote>
<br></span>
Previous notes on naming:<br>
<a href=3D"http://lists.gnu.org/archive/html/bug-coreutils/2010-03/msg00238=
.html" rel=3D"noreferrer" target=3D"_blank">http://lists.gnu.org/archive/ht=
ml/bug-coreutils/2010-03/msg00238.html</a><br>
<br>
&quot;rewrite&quot; is more descriptive as a verb as to what is actually ha=
ppening.<br>
We can finalize on the naming anyway when we have the implementation sorted=
.<br></blockquote></div><div class=3D"gmail_extra"><br></div><div class=3D"=
gmail_default" style=3D"font-size:small">=E2=80=8BDid this get anywhere?</d=
iv><div><br></div>-- <br><div class=3D"gmail_signature"><a href=3D"http://r=
rt.sc3d.org" target=3D"_blank">http://rrt.sc3d.org</a></div>
</div></div>

--94eb2c043626fdcace0532f569d2--




Information forwarded to bug-coreutils@HIDDEN:
bug#13028; Package coreutils. Full text available.

Message received at 13028 <at> debbugs.gnu.org:


Received: (at 13028) by debbugs.gnu.org; 30 Nov 2012 13:53:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 30 08:53:28 2012
Received: from localhost ([127.0.0.1]:46393 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TeR20-0004dT-19
	for submit <at> debbugs.gnu.org; Fri, 30 Nov 2012 08:53:28 -0500
Received: from aibo.runbox.com ([91.220.196.211]:57453)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dwheeler@HIDDEN>) id 1TeR1u-0004dJ-CV
	for 13028 <at> debbugs.gnu.org; Fri, 30 Nov 2012 08:53:24 -0500
Received: from [10.9.9.131] (helo=fenris.runbox.com)
	by bars.runbox.com with esmtp (Exim 4.71)
	(envelope-from <dwheeler@HIDDEN>)
	id 1TeQzq-0006kh-Dl; Fri, 30 Nov 2012 14:51:14 +0100
Received: from mail by fenris.runbox.com with local  (Exim 4.50)
	id 1TeQzs-0005qD-1Q; Fri, 30 Nov 2012 14:51:16 +0100
Content-Type: text/plain; charset="iso-8859-15"
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
Received: from [66.170.239.204] by secure.runbox.com with http
	(uid:258406) (RMM 4.0); Fri, 30 Nov 2012 13:51:16 GMT
From: "David A. Wheeler" <dwheeler@HIDDEN>
To: P@HIDDEN
Subject: Re: bug#13028: inplace
Date: Fri, 30 Nov 2012 08:51:16 -0500 (EST)
X-Mailer: RMM
References: <CAOnWdog-3wBokdqgZZDaXs=wp8cvn3asTpp3NFmtokohAQ-WJw@HIDDEN>
	<50B780AD.6080704@HIDDEN>
In-Reply-To: <50B780AD.6080704@HIDDEN>
Message-Id: <E1TeQzs-0005qD-1Q@HIDDEN>
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 13028
Cc: 13028 <at> debbugs.gnu.org, rrt@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: dwheeler@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.1 (/)

> On 11/29/2012 03:20 PM, Reuben Thomas wrote:
> > On Fri, 14 May 2004 15:53:04 +0600 (YEKST), Victor Porton offered his h=
andy "inplace" script to coreutils, which runs a filter on a file in-place.=
..

P=E1draig Brady <P@HIDDEN> said:
> I definitely think this is worthwhile.
> In fact I mostly finished such a script here
> that would handle all the atomic, backup, permissions, etc.:
> http://lists.gnu.org/archive/html/bug-coreutils/2010-03/msg00213.html
> See also: http://www.pixelbeat.org/docs/unix_file_replacement.html
...
> Also I was wondering what to call it. rp, inplace, replace, ...
> and in the meantime I noticed David Wheeler proposed much the same thing
> with the "rewrite" util:
> http://permalink.gmane.org/gmane.comp.standards.posix.austin.general/5348
...
> I'll work on this script after I finish a pending
> SELinux patchset I'm working on.

I'm delighted to hear that people are working this... thank you!

A request: Please make sure you include single-letter flags for key options=
; that'll help get it into the POSIX spec.  People are more likely to use t=
ools like these if their interface is "available everywhere", and I think g=
etting it (eventually) into the POSIX spec would help make that happen.

Also, please maximally steal useful syntax/examples/ideas from:
 http://permalink.gmane.org/gmane.comp.standards.posix.austin.general/5348
My hope is that this in-place edit tool will just "do the job well".

--- David A. Wheeler




Information forwarded to bug-coreutils@HIDDEN:
bug#13028; Package coreutils. Full text available.

Message received at 13028 <at> debbugs.gnu.org:


Received: (at 13028) by debbugs.gnu.org; 29 Nov 2012 19:18:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 29 14:18:39 2012
Received: from localhost ([127.0.0.1]:45559 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Te9d4-0000MS-84
	for submit <at> debbugs.gnu.org; Thu, 29 Nov 2012 14:18:38 -0500
Received: from mx1.redhat.com ([209.132.183.28]:37408)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <P@HIDDEN>) id 1Te9cx-0000ME-UH
	for 13028 <at> debbugs.gnu.org; Thu, 29 Nov 2012 14:18:32 -0500
Received: from int-mx12.intmail.prod.int.phx2.redhat.com
	(int-mx12.intmail.prod.int.phx2.redhat.com [10.5.11.25])
	by mx1.redhat.com (8.14.4/8.14.4) with ESMTP id qATJGPEi009471
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Thu, 29 Nov 2012 14:16:25 -0500
Received: from [10.36.116.83] (ovpn-116-83.ams2.redhat.com [10.36.116.83])
	by int-mx12.intmail.prod.int.phx2.redhat.com (8.14.4/8.14.4) with ESMTP
	id qATJGNO4007176
	(version=TLSv1/SSLv3 cipher=DHE-RSA-CAMELLIA256-SHA bits=256 verify=NO);
	Thu, 29 Nov 2012 14:16:24 -0500
Message-ID: <50B7B486.60401@HIDDEN>
Date: Thu, 29 Nov 2012 19:16:22 +0000
From: =?ISO-8859-1?Q?P=E1draig_Brady?= <P@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:13.0) Gecko/20120615 Thunderbird/13.0.1
MIME-Version: 1.0
To: Reuben Thomas <rrt@HIDDEN>
Subject: Re: bug#13028: inplace
References: <CAOnWdog-3wBokdqgZZDaXs=wp8cvn3asTpp3NFmtokohAQ-WJw@HIDDEN>
	<50B780AD.6080704@HIDDEN>
	<CAOnWdojwq2-OsujxZvuSpb1fc2_b3Z4-A57XTQ0Sg37scBiHhw@HIDDEN>
In-Reply-To: <CAOnWdojwq2-OsujxZvuSpb1fc2_b3Z4-A57XTQ0Sg37scBiHhw@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
X-Scanned-By: MIMEDefang 2.68 on 10.5.11.25
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by mx1.redhat.com id
	qATJGPEi009471
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 13028
Cc: 13028 <at> debbugs.gnu.org, "David A. Wheeler" <dwheeler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

On 11/29/2012 07:03 PM, Reuben Thomas wrote:
> On 29 November 2012 15:35, P=E1draig Brady <P@HIDDEN> wrote:
>
>>
>> I definitely think this is worthwhile.
>>
>
> Great!
>
>
>> Where to put such a script is an issue.
>> We were thinking of a contrib/ folder for higher level
>> scripts like this that could leverage coreutils/
>> Translations in the shell script was one thing that was
>> I was wondering about, which I need to look at.
>>
>
> Is there a reason it can't be shipped so it'll install as part of coreu=
tils?

Well contrib/ in upstream to be installed in standard locations.

>> rewrite is my favorite name so far.
>>
>
> It sounds better, but I'd favour "inplace" as it's the term used by mos=
t
> utilities, like Perl and sed, that already provide such a built-in
> facility, and is hence more easily discovered.

Previous notes on naming:
http://lists.gnu.org/archive/html/bug-coreutils/2010-03/msg00238.html

"rewrite" is more descriptive as a verb as to what is actually happening.
We can finalize on the naming anyway when we have the implementation sort=
ed.

thanks,
P=E1draig.




Information forwarded to bug-coreutils@HIDDEN:
bug#13028; Package coreutils. Full text available.

Message received at 13028 <at> debbugs.gnu.org:


Received: (at 13028) by debbugs.gnu.org; 29 Nov 2012 19:05:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 29 14:05:33 2012
Received: from localhost ([127.0.0.1]:45538 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Te9QP-0008UN-CM
	for submit <at> debbugs.gnu.org; Thu, 29 Nov 2012 14:05:33 -0500
Received: from exprod7og108.obsmtp.com ([64.18.2.169]:39772)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rrt@HIDDEN>) id 1Te9QJ-0008UA-4k
	for 13028 <at> debbugs.gnu.org; Thu, 29 Nov 2012 14:05:27 -0500
Received: from mail-pb0-f72.google.com ([209.85.160.72]) (using TLSv1) by
	exprod7ob108.postini.com ([64.18.6.12]) with SMTP
	ID DSNKULexcxRfyEZKBy+reTsDI7qgtknpsdnn@HIDDEN;
	Thu, 29 Nov 2012 11:03:21 PST
Received: by mail-pb0-f72.google.com with SMTP id wz7so18364767pbc.3
	for <13028 <at> debbugs.gnu.org>; Thu, 29 Nov 2012 11:03:15 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=google.com; s=20120113;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type:x-gm-message-state;
	bh=SxwO8n96YvcMQLJ5aNJz+JNUnwCIl5PAL+ubIi61g4o=;
	b=fNeEN9D464PlbvkpI14TNaW1Z36QH2BXoGB51OI/3kWmZPcgqS7zg6QFKSNiy2s7Db
	V7U9nGfANTVeqToS3J8Jt6CdvTgg42JNmtWYg6KzpHKFq/2UC9Qtwq1c8RUqlIwcAoKG
	URRZYK5pids0G1qdFAOg3IZnEp4y/pRpHVnSXtBU8QkSpUSECTNj8UmmXrZV+jtIDN1Z
	EECv+huxwdcaPALA0X66CPoWIcFO83wmZWhKQkzzV90JJrGq8cmD3K441r8a61O27OlU
	aWerD4uiXCRFBC21wFKB8DcmSQL/Ojbb0ZqtMKXH8Kzkjx5fTnOT3EYLSzlVrEEbaIdK
	QYjw==
Received: by 10.68.234.98 with SMTP id ud2mr71115641pbc.136.1354215795457;
	Thu, 29 Nov 2012 11:03:15 -0800 (PST)
MIME-Version: 1.0
Received: by 10.68.234.98 with SMTP id ud2mr71115623pbc.136.1354215795255;
	Thu, 29 Nov 2012 11:03:15 -0800 (PST)
Received: by 10.68.239.229 with HTTP; Thu, 29 Nov 2012 11:03:14 -0800 (PST)
In-Reply-To: <50B780AD.6080704@HIDDEN>
References: <CAOnWdog-3wBokdqgZZDaXs=wp8cvn3asTpp3NFmtokohAQ-WJw@HIDDEN>
	<50B780AD.6080704@HIDDEN>
Date: Thu, 29 Nov 2012 19:03:14 +0000
Message-ID: <CAOnWdojwq2-OsujxZvuSpb1fc2_b3Z4-A57XTQ0Sg37scBiHhw@HIDDEN>
Subject: Re: bug#13028: inplace
From: Reuben Thomas <rrt@HIDDEN>
To: =?ISO-8859-1?Q?P=E1draig_Brady?= <P@HIDDEN>
Content-Type: multipart/alternative; boundary=047d7b33cf6a6ce89c04cfa6ef3b
X-Gm-Message-State: ALoCoQnfIal5Qda6Cob434yOfxGbecypQSnG15Q3un2Wxt0fW/a7MeQ3gJb2qWWpLgUCqHmNfFnmADNudAp6AwrEdt0P9OBC581n5PrY25vi7/1pJTT1xnBeg4y1wfl5hL33A2rggR74HD9H5W0kHm92TLoafxA9mZDKCuOVKEgr7wQJvfsIZ/M=
X-Spam-Score: -1.5 (-)
X-Debbugs-Envelope-To: 13028
Cc: 13028 <at> debbugs.gnu.org, "David A. Wheeler" <dwheeler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.5 (-)

--047d7b33cf6a6ce89c04cfa6ef3b
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

On 29 November 2012 15:35, P=E1draig Brady <P@HIDDEN> wrote:

>
> I definitely think this is worthwhile.
>

Great!


> Where to put such a script is an issue.
> We were thinking of a contrib/ folder for higher level
> scripts like this that could leverage coreutils/
> Translations in the shell script was one thing that was
> I was wondering about, which I need to look at.
>

Is there a reason it can't be shipped so it'll install as part of coreutils=
?


> rewrite is my favorite name so far.
>

It sounds better, but I'd favour "inplace" as it's the term used by most
utilities, like Perl and sed, that already provide such a built-in
facility, and is hence more easily discovered.


> I'll work on this script after I finish a pending
> SELinux patchset I'm working on.


Great!

--=20
http://rrt.sc3d.org

--047d7b33cf6a6ce89c04cfa6ef3b
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

On 29 November 2012 15:35, P=E1draig Brady <span dir=3D"ltr">&lt;<a href=3D=
"mailto:P@HIDDEN" target=3D"_blank">P@HIDDEN</a>&gt;</span>=
 wrote:<br><div class=3D"gmail_extra"><div class=3D"gmail_quote"><blockquot=
e class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc sol=
id;padding-left:1ex">
<br>
I definitely think this is worthwhile.<br></blockquote><div><br></div><div>=
Great!</div><div>=A0</div><blockquote class=3D"gmail_quote" style=3D"margin=
:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">Where to put such =
a script is an issue.<br>

We were thinking of a contrib/ folder for higher level<br>
scripts like this that could leverage coreutils/<br>
Translations in the shell script was one thing that was<br>
I was wondering about, which I need to look at.<br></blockquote><div><br></=
div><div>Is there a reason it can&#39;t be shipped so it&#39;ll install as =
part of coreutils?</div><div>=A0</div><blockquote class=3D"gmail_quote" sty=
le=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
rewrite is my favorite name so far.<br></blockquote><div><br></div><div>It =
sounds better, but I&#39;d favour &quot;inplace&quot; as it&#39;s the term =
used by most utilities, like Perl and sed, that already provide such a buil=
t-in facility, and is hence more easily discovered.</div>
<div>=A0</div><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;=
border-left:1px #ccc solid;padding-left:1ex">
I&#39;ll work on this script after I finish a pending<br>
SELinux patchset I&#39;m working on.</blockquote><div><br></div><div>Great!=
</div></div><div><br></div>-- <br><a href=3D"http://rrt.sc3d.org">http://rr=
t.sc3d.org</a><br>
</div>

--047d7b33cf6a6ce89c04cfa6ef3b--




Information forwarded to bug-coreutils@HIDDEN:
bug#13028; Package coreutils. Full text available.

Message received at 13028 <at> debbugs.gnu.org:


Received: (at 13028) by debbugs.gnu.org; 29 Nov 2012 15:38:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 29 10:38:55 2012
Received: from localhost ([127.0.0.1]:45341 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Te6CV-0002eh-44
	for submit <at> debbugs.gnu.org; Thu, 29 Nov 2012 10:38:55 -0500
Received: from mx1.redhat.com ([209.132.183.28]:1965)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <P@HIDDEN>) id 1Te6CR-0002eW-Jw
	for 13028 <at> debbugs.gnu.org; Thu, 29 Nov 2012 10:38:53 -0500
Received: from int-mx01.intmail.prod.int.phx2.redhat.com
	(int-mx01.intmail.prod.int.phx2.redhat.com [10.5.11.11])
	by mx1.redhat.com (8.14.4/8.14.4) with ESMTP id qATFao7p002474
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Thu, 29 Nov 2012 10:36:50 -0500
Received: from [10.36.116.83] (ovpn-116-83.ams2.redhat.com [10.36.116.83])
	by int-mx01.intmail.prod.int.phx2.redhat.com (8.13.8/8.13.8) with ESMTP
	id qATFamk4013110
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Thu, 29 Nov 2012 10:36:50 -0500
Message-ID: <50B78110.9040608@HIDDEN>
Date: Thu, 29 Nov 2012 15:36:48 +0000
From: =?UTF-8?B?UMOhZHJhaWcgQnJhZHk=?= <P@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:13.0) Gecko/20120615 Thunderbird/13.0.1
MIME-Version: 1.0
To: Ruediger Meier <sweet_f_a@HIDDEN>
Subject: Re: bug#13028: inplace
References: <CAOnWdog-3wBokdqgZZDaXs=wp8cvn3asTpp3NFmtokohAQ-WJw@HIDDEN>
	<201211291632.25608.sweet_f_a@HIDDEN>
In-Reply-To: <201211291632.25608.sweet_f_a@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
X-Scanned-By: MIMEDefang 2.67 on 10.5.11.11
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by mx1.redhat.com id
	qATFao7p002474
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 13028
Cc: 13028 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.0 (-----)

On 11/29/2012 03:32 PM, Ruediger Meier wrote:
> On Thursday 29 November 2012, Reuben Thomas wrote:
>> On Fri, 14 May 2004 15:53:04 +0600 (YEKST), Victor Porton offered his
>> handy "inplace" script to coreutils, which runs a filter on a file
>> in-place. A couple of replies said there was no need for this as one
>> could do in-place editing with perl or sed, but I think that was
>> misguided, as the point of inplace is that it works with any filter.
>> I just used it with xml_grep:
>>
>> inplace "xml_grep --exclude 'ul[@class=3D\"toc\"]' \"\$IN\" >
>> \"\$OUT\"" "$book.xhtml"
>>
>> I attach an updated version of inplace with some bashisms and typos
>> fixed.
>
> You may also have a look at sponge from moreutils project
> http://linux.die.net/man/1/sponge
> http://joeyh.name/code/moreutils/

sponge is good, but doesn't quite cut it.
See point 6 at: http://www.pixelbeat.org/docs/unix_file_replacement.html

thanks,
P=C3=A1draig.




Information forwarded to bug-coreutils@HIDDEN:
bug#13028; Package coreutils. Full text available.

Message received at 13028 <at> debbugs.gnu.org:


Received: (at 13028) by debbugs.gnu.org; 29 Nov 2012 15:37:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 29 10:37:28 2012
Received: from localhost ([127.0.0.1]:45337 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Te6B0-0002cG-32
	for submit <at> debbugs.gnu.org; Thu, 29 Nov 2012 10:37:27 -0500
Received: from mx1.redhat.com ([209.132.183.28]:62599)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <P@HIDDEN>) id 1Te6Av-0002c4-83
	for 13028 <at> debbugs.gnu.org; Thu, 29 Nov 2012 10:37:19 -0500
Received: from int-mx02.intmail.prod.int.phx2.redhat.com
	(int-mx02.intmail.prod.int.phx2.redhat.com [10.5.11.12])
	by mx1.redhat.com (8.14.4/8.14.4) with ESMTP id qATFZCMm001934
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Thu, 29 Nov 2012 10:35:15 -0500
Received: from [10.36.116.83] (ovpn-116-83.ams2.redhat.com [10.36.116.83])
	by int-mx02.intmail.prod.int.phx2.redhat.com (8.13.8/8.13.8) with ESMTP
	id qATFZ9Ke003538
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Thu, 29 Nov 2012 10:35:11 -0500
Message-ID: <50B780AD.6080704@HIDDEN>
Date: Thu, 29 Nov 2012 15:35:09 +0000
From: =?ISO-8859-1?Q?P=E1draig_Brady?= <P@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:13.0) Gecko/20120615 Thunderbird/13.0.1
MIME-Version: 1.0
To: Reuben Thomas <rrt@HIDDEN>
Subject: Re: bug#13028: inplace
References: <CAOnWdog-3wBokdqgZZDaXs=wp8cvn3asTpp3NFmtokohAQ-WJw@HIDDEN>
In-Reply-To: <CAOnWdog-3wBokdqgZZDaXs=wp8cvn3asTpp3NFmtokohAQ-WJw@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
X-Scanned-By: MIMEDefang 2.67 on 10.5.11.12
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by mx1.redhat.com id
	qATFZCMm001934
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 13028
Cc: 13028 <at> debbugs.gnu.org, "David A. Wheeler" <dwheeler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

On 11/29/2012 03:20 PM, Reuben Thomas wrote:
> On Fri, 14 May 2004 15:53:04 +0600 (YEKST), Victor Porton offered his h=
andy "inplace" script to coreutils, which runs a filter on a file in-plac=
e. A couple of replies said there was no need for this as one could do in=
-place editing with perl or sed, but I think that was misguided, as the p=
oint of inplace is that it works with any filter. I just used it with xml=
_grep:
>
> inplace "xml_grep --exclude 'ul[@class=3D\"toc\"]' \"\$IN\" > \"\$OUT\"=
" "$book.xhtml"
>
> I attach an updated version of inplace with some bashisms and typos fix=
ed.
>

I definitely think this is worthwhile.
In fact I mostly finished such a script here
that would handle all the atomic, backup, permissions, etc.:
http://lists.gnu.org/archive/html/bug-coreutils/2010-03/msg00213.html
See also: http://www.pixelbeat.org/docs/unix_file_replacement.html

Where to put such a script is an issue.
We were thinking of a contrib/ folder for higher level
scripts like this that could leverage coreutils/
Translations in the shell script was one thing that was
I was wondering about, which I need to look at.

Also I was wondering what to call it. rp, inplace, replace, ...
and in the meantime I noticed David Wheeler proposed much the same thing
with the "rewrite" util:
http://permalink.gmane.org/gmane.comp.standards.posix.austin.general/5348

rewrite is my favorite name so far.

I'll work on this script after I finish a pending
SELinux patchset I'm working on.

thanks,
P=E1draig.




Information forwarded to bug-coreutils@HIDDEN:
bug#13028; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Nov 2012 15:34:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 29 10:34:51 2012
Received: from localhost ([127.0.0.1]:45332 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Te68W-0002Ye-3W
	for submit <at> debbugs.gnu.org; Thu, 29 Nov 2012 10:34:50 -0500
Received: from eggs.gnu.org ([208.118.235.92]:35873)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <sweet_f_a@HIDDEN>) id 1Te68S-0002YV-3c
	for submit <at> debbugs.gnu.org; Thu, 29 Nov 2012 10:34:45 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <sweet_f_a@HIDDEN>) id 1Te66O-0008Lc-Un
	for submit <at> debbugs.gnu.org; Thu, 29 Nov 2012 10:32:43 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:52018)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <sweet_f_a@HIDDEN>) id 1Te66O-0008Ko-K5
	for submit <at> debbugs.gnu.org; Thu, 29 Nov 2012 10:32:36 -0500
Received: from eggs.gnu.org ([208.118.235.92]:50646)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <sweet_f_a@HIDDEN>) id 1Te66N-0007oX-Dr
	for bug-coreutils@HIDDEN; Thu, 29 Nov 2012 10:32:36 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <sweet_f_a@HIDDEN>) id 1Te66H-0008HA-Ah
	for bug-coreutils@HIDDEN; Thu, 29 Nov 2012 10:32:35 -0500
Received: from mailout-de.gmx.net ([213.165.64.23]:44961)
	by eggs.gnu.org with smtp (Exim 4.71)
	(envelope-from <sweet_f_a@HIDDEN>) id 1Te66H-0008Gr-07
	for bug-coreutils@HIDDEN; Thu, 29 Nov 2012 10:32:29 -0500
Received: (qmail invoked by alias); 29 Nov 2012 15:32:26 -0000
Received: from p5098db61.dip0.t-ipconnect.de (EHLO zappa.ga.local)
	[80.152.219.97]
	by mail.gmx.net (mp071) with SMTP; 29 Nov 2012 16:32:26 +0100
X-Authenticated: #11967524
X-Provags-ID: V01U2FsdGVkX1+r5wEO8Qar/6W8ExzXAN+jlhrGRb/RgT9CAe1MGr
	DAgKlWUvIEJphV
From: Ruediger Meier <sweet_f_a@HIDDEN>
To: bug-coreutils@HIDDEN
Subject: Re: bug#13028: inplace
Date: Thu, 29 Nov 2012 16:32:25 +0100
User-Agent: KMail/1.9.10
References: <CAOnWdog-3wBokdqgZZDaXs=wp8cvn3asTpp3NFmtokohAQ-WJw@HIDDEN>
In-Reply-To: <CAOnWdog-3wBokdqgZZDaXs=wp8cvn3asTpp3NFmtokohAQ-WJw@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
  charset="utf-8"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
Message-Id: <201211291632.25608.sweet_f_a@HIDDEN>
X-Y-GMX-Trusted: 0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

On Thursday 29 November 2012, Reuben Thomas wrote:
> On Fri, 14 May 2004 15:53:04 +0600 (YEKST), Victor Porton offered his
> handy "inplace" script to coreutils, which runs a filter on a file
> in-place. A couple of replies said there was no need for this as one
> could do in-place editing with perl or sed, but I think that was
> misguided, as the point of inplace is that it works with any filter.
> I just used it with xml_grep:
>
> inplace "xml_grep --exclude 'ul[@class=\"toc\"]' \"\$IN\" >
> \"\$OUT\"" "$book.xhtml"
>
> I attach an updated version of inplace with some bashisms and typos
> fixed.

You may also have a look at sponge from moreutils project
http://linux.die.net/man/1/sponge
http://joeyh.name/code/moreutils/


cu,
Rudi




Information forwarded to bug-coreutils@HIDDEN:
bug#13028; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Nov 2012 15:23:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 29 10:23:18 2012
Received: from localhost ([127.0.0.1]:45326 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Te5xN-0002IJ-F5
	for submit <at> debbugs.gnu.org; Thu, 29 Nov 2012 10:23:17 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34640)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rrt@HIDDEN>) id 1Te5xK-0002IC-Vl
	for submit <at> debbugs.gnu.org; Thu, 29 Nov 2012 10:23:16 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rrt@HIDDEN>) id 1Te5vI-0005Fx-NG
	for submit <at> debbugs.gnu.org; Thu, 29 Nov 2012 10:21:14 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,HTML_MESSAGE,
	RCVD_IN_DNSWL_HI autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:42489)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rrt@HIDDEN>)
	id 1Te5vI-0005Fq-Ju
	for submit <at> debbugs.gnu.org; Thu, 29 Nov 2012 10:21:08 -0500
Received: from eggs.gnu.org ([208.118.235.92]:42811)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rrt@HIDDEN>) id 1Te5v9-0001yA-6z
	for bug-coreutils@HIDDEN; Thu, 29 Nov 2012 10:21:08 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rrt@HIDDEN>) id 1Te5v1-0005Dm-2L
	for bug-coreutils@HIDDEN; Thu, 29 Nov 2012 10:20:59 -0500
Received: from exprod7og115.obsmtp.com ([64.18.2.217]:53673)
	by eggs.gnu.org with smtp (Exim 4.71) (envelope-from <rrt@HIDDEN>)
	id 1Te5v0-0005DZ-NF
	for bug-coreutils@HIDDEN; Thu, 29 Nov 2012 10:20:50 -0500
Received: from mail-wg0-f71.google.com ([74.125.82.71]) (using TLSv1) by
	exprod7ob115.postini.com ([64.18.6.12]) with SMTP
	ID DSNKULd9UBsp5Z/W7+OaRhFG/igo92sxsJDu@HIDDEN;
	Thu, 29 Nov 2012 07:20:50 PST
Received: by mail-wg0-f71.google.com with SMTP id dr13so5394234wgb.6
	for <bug-coreutils@HIDDEN>; Thu, 29 Nov 2012 07:20:48 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=google.com; s=20120113;
	h=mime-version:date:message-id:subject:from:to:content-type
	:x-gm-message-state;
	bh=uIKf2pT5wqQcwt3KhKIzq+vC1/3Wf1KkNf1AS0LqHUM=;
	b=DomHttYTLsPsZCtbNS2AxkKYV8u5AETaxZhjJvkBrvF68ZBnGO83Ab8lWw6J/lNICG
	Q4hab6IWSpjeX/zHtMncGeMdPN/AIDpFqSZddNUCAQKpCsO3Y9xXjk27pDKO/AszrBHC
	/KHtMM2HEtEdzYzGyliIyjZvQNffT9ujlq5ChlbsmG0wTRc6gv5TmE4I1ZthM8KBQs3F
	Yo3NK9R3zhRuz8PAfZw7809gawZrrky0NQr/JV2J2vYv84ioGJ6Sc0AmhkrKBO5UmCIv
	whIPlpAhaURrt8Kux1BJzuH2VX3qzX1eD+ybIQtYnl0oci19aMJjfs4dD143klonJKIJ
	n/LA==
Received: by 10.14.215.194 with SMTP id e42mr50449654eep.32.1354202448146;
	Thu, 29 Nov 2012 07:20:48 -0800 (PST)
MIME-Version: 1.0
Received: by 10.14.215.194 with SMTP id e42mr50449603eep.32.1354202447870;
	Thu, 29 Nov 2012 07:20:47 -0800 (PST)
Received: by 10.14.212.66 with HTTP; Thu, 29 Nov 2012 07:20:47 -0800 (PST)
Date: Thu, 29 Nov 2012 15:20:47 +0000
Message-ID: <CAOnWdog-3wBokdqgZZDaXs=wp8cvn3asTpp3NFmtokohAQ-WJw@HIDDEN>
Subject: inplace
From: Reuben Thomas <rrt@HIDDEN>
To: bug-coreutils <bug-coreutils@HIDDEN>
Content-Type: multipart/mixed; boundary=e89a8f923f50dbfad304cfa3d32f
X-Gm-Message-State: ALoCoQmULD5VNtgWlAaZKBq7N/qgkssJKUcgzA/tAeXHwBGYERQBG2V/gZG6qUxl9eJJ93nvGClB3KVqxwon0B4hfxe3aVQ42tzpfqsx5q91NUIur1Bis+2qx+uTgE885g4U2lVDPYW2/d/NRn5Da9CXzrH7OzxZ+939Em5U/dQihQfER9H/tjY=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.3 (----)

--e89a8f923f50dbfad304cfa3d32f
Content-Type: multipart/alternative; boundary=e89a8f923f50dbface04cfa3d32d

--e89a8f923f50dbface04cfa3d32d
Content-Type: text/plain; charset=ISO-8859-1

On Fri, 14 May 2004 15:53:04 +0600 (YEKST), Victor Porton offered his handy
"inplace" script to coreutils, which runs a filter on a file in-place. A
couple of replies said there was no need for this as one could do in-place
editing with perl or sed, but I think that was misguided, as the point of
inplace is that it works with any filter. I just used it with xml_grep:

inplace "xml_grep --exclude 'ul[@class=\"toc\"]' \"\$IN\" > \"\$OUT\""
"$book.xhtml"

I attach an updated version of inplace with some bashisms and typos fixed.

-- 
http://rrt.sc3d.org

--e89a8f923f50dbface04cfa3d32d
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

On=A0Fri, 14 May 2004 15:53:04 +0600 (YEKST), Victor Porton offered his han=
dy &quot;inplace&quot; script to coreutils, which runs a filter on a file i=
n-place. A couple of replies said there was no need for this as one could d=
o in-place editing with perl or sed, but I think that was misguided, as the=
 point of inplace is that it works with any filter. I just used it with xml=
_grep:<div>
<br></div><div><div>inplace &quot;xml_grep --exclude &#39;ul[@class=3D\&quo=
t;toc\&quot;]&#39; \&quot;\$IN\&quot; &gt; \&quot;\$OUT\&quot;&quot; &quot;=
$book.xhtml&quot;</div><div><br></div><div>I attach an updated version of i=
nplace with some bashisms and typos fixed.</div>
<div><br></div>-- <br><a href=3D"http://rrt.sc3d.org">http://rrt.sc3d.org</=
a><br>
</div>

--e89a8f923f50dbface04cfa3d32d--
--e89a8f923f50dbfad304cfa3d32f
Content-Type: application/octet-stream; name=inplace
Content-Disposition: attachment; filename=inplace
Content-Transfer-Encoding: base64
X-Attachment-Id: f_ha415e8h0
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--e89a8f923f50dbfad304cfa3d32f--




Acknowledgement sent to Reuben Thomas <rrt@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to bug-coreutils@HIDDEN:
bug#13028; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 18 Oct 2018 23:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.